## downsexta-0.2-2.tar.gz

=== Makefile ===
NAME=libdownsexta-perl
NAMED=DataSexta
NAMEX=SextaXML
NAMEDIR=DownVideos
EXAMPLEDS=ejemplo_datasexta
EXAMPLEXML=ejemplo_sextaxml
EXAMPLEDSXML=ejemplo_datasexta_sextaxml
MANFILE=DownVideos::DataSexta
PREFIX=/usr/
DATADIR=$(PREFIX)/share
DOCDIR=$(DATADIR)/doc/$(NAME)/
HTMLDIR=$(DOCDIR)/html
EXAMPLESDIR=$(DATADIR)/$(NAME)/examples
LIBDIR=$(DATADIR)/perl5/$(NAMEDIR)
MANDIR=$(DATADIR)/man/man3

all: libdownsexta

libdownsexta:
	@mkdir -p build

	cp $(NAMED).pm  build/$(NAMED).pm
	cp $(NAMEX).pm  build/$(NAMEX).pm
	cp ./examples/*.pl build/
	cp ./doc/man/*.3pm.gz build/
	cp ./doc/html/*.html build/
	

install:
	mkdir -p	\
			$(PREFIX) \
			$(DATADIR) \
			$(EXAMPLESDIR) \
			$(LIBDIR) \
			$(MANDIR) \
			$(HTMLDIR)

	install -m 0664 build/$(NAMED).pm			$(LIBDIR)/
	install -m 0664 build/$(NAMEX).pm			$(LIBDIR)/
	install -m 0644 build/*.pl			$(EXAMPLESDIR)/
	install -m 0664 build/*.3pm.gz			$(MANDIR)/
	install -m 0664	build/*.html				$(HTMLDIR)/

uninstall:
	rm -fr $(LIBDIR)
	rm $(MANDIR)/$(MANFILE).3pm.gz
	rm -fr $(DATADIR)/$(NAME)
	rm -fr $(DOCDIR)

clean:
	rm -fr build build-stamp install-stamp
	rm -fr debian/libdownsexta*

=== debian/changelog ===
libdownsexta-perl (0.2-2~morago1) raring; urgency=low

  * Se corrigen errores en los ejemplos y ficheros de ayuda

 -- Hugo Morago Martín <morago@ono.com>  Wed, 24 Jul 2013 23:02:48 +0200

libdownsexta-perl (0.2-1~morago1) raring; urgency=low

  * Se añade al módulo SextaXML la funcionalidad de obtener los videos divididos en partes

 -- Hugo Morago Martín <morago@ono.com>  Wed, 24 Jul 2013 22:07:34 +0200

libdownsexta-perl (0.2~morago1) raring; urgency=low

  * Initial release

 -- Hugo Morago Martín <morago@ono.com>  Tue, 23 Jul 2013 08:08:28 +0200

=== debian/control ===
Source: libdownsexta-perl
Section: perl
Priority: standard
Maintainer: Hugo Morago Martín <morago@ono.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: https://launchpad.net/~morago

Package: libdownsexta-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl (>= 6.04-1), libxml-simple-perl (<= 2.20-1)
Description: Obtener URL de los videos de La Sexta
 Este módulo implementa un modo sencillo de obtener las 
 urls e información de los videos de La Sexta

=== debian/rules ===
#!/usr/bin/make -f


DESTDIR=$(CURDIR)/debian/libdownsexta-perl

build: build-arch build-indep
	
build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean debian/DownVideos::DataSexta.3pm.gz

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	$(MAKE) install PREFIX=$(DESTDIR)/usr
	touch install-stamp

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_perl
	dh_installman
	dh_icons
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
# binary-arch: build install
# We have nothing to do by default.

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install
